summaryrefslogtreecommitdiffstats
path: root/source/d/cvs/cvs.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/cvs/cvs.SlackBuild')
-rwxr-xr-xsource/d/cvs/cvs.SlackBuild10
1 files changed, 8 insertions, 2 deletions
diff --git a/source/d/cvs/cvs.SlackBuild b/source/d/cvs/cvs.SlackBuild
index 4c3528cba..81250f4a0 100755
--- a/source/d/cvs/cvs.SlackBuild
+++ b/source/d/cvs/cvs.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2013 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
VERSION=1.11.23
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -56,6 +56,12 @@ cd $TMP
rm -rf cvs-$VERSION
tar xvf $CWD/cvs-$VERSION.tar.bz2 || exit 1
cd cvs-$VERSION
+
+# Patch to handle recent glib crypt():
+zcat $CWD/cvs.crypt-2.diff.gz | patch -p1 --verbose || exit 1
+# Fix getline compile error:
+zcat $CWD/cvs.getline64.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \